TextPosition Example |
Using Programming Languages other than VBA
Sub Example_TextPosition() ' This example creates an aligned dimension and then changes the ' TextPosition property for that dimension. Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5#: point1(1) = 3#: point1(2) = 0# point2(0) = 10#: point2(1) = 3#: point2(2) = 0# location(0) = 7.5: location(1) = 5#: location(2) = 0# ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ZoomAll MsgBox "The current text position for the dimension is " & dimObj.TextPosition(0) & ", " & dimObj.TextPosition(1) & ", " & dimObj.TextPosition(2), vbInformation, "TextPosition Example" ' Change the text position location location(0) = 8.5: location(1) = 7: location(2) = 0 dimObj.TextPosition = location dimObj.Update ' Return the endpoint of the first extension line ' Note that the return value is a Variant Dim retPoint As Variant retPoint = dimObj.TextPosition MsgBox "The new text position for the dimension is " & dimObj.TextPosition(0) & ", " & dimObj.TextPosition(1) & ", " & dimObj.TextPosition(2), vbInformation, "TextPosition Example" End Sub
Comments? |